#include "descriptor/descriptor.h"

int main (void) {

    ITEM  borsa, borsa1, borsa2;
    ITEM  pavimento, mattonelle;
    ITEM  racchettabis, racchetta, racchet1, racchet2, racchet3;
    ITEM  palla, rosso, verde, grigio, col1;
    ITEM  miascena;
    ITEM  tavolobis, tavolo, tavolo1, tavolo2, tavolo3, tavolo4, tavolo5, tavolo6, tavolo7, tavolo8, attributi_tavolo;
    ITEM  sediabis, sedia, sedia1, sedia2, sedia3, sedia4, sedia5, sedia6, sedia7, sedia8, sedia9, sedia10, attributi_sedia;

set_background(0.38,0.52,0.81,TRUE);

set_ambient_light(1,1,1,0.7);

create_point_light(0.52,0.6,4.5,1,1,1,1,0,"light");
create_point_light(14.2,20.0,5.5,1,1,1,1,0,"light2");

attributi_tavolo=create_attribute("attributi_tavolo");
set_color(attributi_tavolo,0.93,0.23,0.03,0.2,0.8);
set_reflectivity(attributi_tavolo,0.17,15);

tavolo=create_list(read_nurbs("tavolo1.db"), "tavolo");
tavolo=insert_in_list(tavolo, read_nurbs("tavolo2.db"));
tavolo=insert_in_list(tavolo, read_nurbs("tavolo3.db"));
tavolo=insert_in_list(tavolo, read_nurbs("tavolo4.db"));
tavolo=insert_in_list(tavolo, read_nurbs("tavolo5.db"));
tavolo=insert_in_list(tavolo, read_nurbs("tavolo6.db"));
tavolo=insert_in_list(tavolo, read_nurbs("tavolo7.db"));

set_attribute(tavolo,attributi_tavolo);

miascena=create_list(tavolo,"miascena");

rosso=create_attribute("rosso");
set_color(rosso,1,0,0,0.5,0.5);
set_reflectivity(rosso,0.17,15);

verde=create_attribute("verde");
set_color(verde,0,0.93,0,0.6,0.5);
set_reflectivity(verde,0.2,15);

grigio=create_attribute("grigio");
set_color(grigio,0.38,0.4,0.41,0.8,0.5);
set_reflectivity(grigio,0.3,12);

mattonelle=create_attribute("mattonelle");
set_color(mattonelle,0.89,0.76,0.65,0.1,0.8);
set_reflectivity(mattonelle,0.2,5);

col1=create_attribute("col1");
set_color(col1,0.92,0.87,0.51,0.1,0.8);
set_reflectivity(mattonelle,0.3,12);

tavolobis=read_nurbs("tavolo8.db");
set_attribute(tavolobis, grigio);
miascena=insert_in_list(miascena, tavolobis);

attributi_sedia=create_attribute("attributi_sedia");
set_color(attributi_sedia,0.95,0.25,0.10,0.2,0.8);
set_reflectivity(attributi_sedia,0.17,15);

sedia=create_list(read_nurbs("sedia1.db"), "sedia");
sedia=insert_in_list(sedia, read_nurbs("sedia2.db"));
sedia=insert_in_list(sedia, read_nurbs("sedia3.db"));
sedia=insert_in_list(sedia, read_nurbs("sedia4.db"));
sedia=insert_in_list(sedia, read_nurbs("sedia5.db"));
sedia=insert_in_list(sedia, read_nurbs("sedia6.db"));
sedia=insert_in_list(sedia, read_nurbs("sedia7.db"));
sedia=insert_in_list(sedia, read_nurbs("sedia8.db"));
sedia=insert_in_list(sedia, read_nurbs("sedia9.db"));

set_attribute(sedia,attributi_sedia);

miascena=insert_in_list(miascena,sedia );

sediabis=read_nurbs("sedia10.db");
set_attribute(sediabis, col1);
miascena=insert_in_list(miascena, sediabis);

racchetta=create_list(read_nurbs("racchet1.db"), "racchet");
racchetta=insert_in_list(racchetta, read_nurbs("racchet2.db"));

set_attribute(racchetta, col1);

miascena=insert_in_list(miascena, racchetta);

racchettabis=read_nurbs("racchetta3.db");
set_attribute(racchettabis,verde);

miascena=insert_in_list(miascena,racchettabis );

palla=read_nurbs("palla.db");
set_attribute(palla, rosso);

miascena=insert_in_list(miascena, palla);

borsa=create_list(read_nurbs("borsa1.db"), "borsa");
borsa=insert_in_list(borsa, read_nurbs("borsa2.db"));

set_attribute(borsa, rosso);

miascena=insert_in_list(miascena, borsa);

pavimento=read_nurbs("pavimento.db");
set_attribute(pavimento,mattonelle);

miascena=insert_in_list(miascena,pavimento );

save_scene("miascena.md", "miascena", miascena);
return(0);
}

